# Glacier2::CannotCreateSessionException

## Overview

### exception CannotCreateSessionException

This exception is raised if an attempt to create a new session failed.

#### Used By

Router::createSession
Router::createSessionFromSecureConnection
SSLSessionManager::create
SessionManager::create

#### See Also

Router::createSession
Router::createSessionFromSecureConnection
SessionManager::create
SSLSessionManager::create

## Data Members

string reason;

  The reason why session creation has failed.